MONGOC_APM_SET_SERVER_HEARTBEAT_STARTED_CB(3)

NAME
mongoc_apm_set_server_heartbeat_started_cb - mongoc_apm_set_server_heartbeat_started_cb()

SYNOPSIS

typedef void (*mongoc_apm_server_heartbeat_started_cb_t) (
   const mongoc_apm_server_heartbeat_started_t *event);
void
mongoc_apm_set_server_heartbeat_started_cb (mongoc_apm_callbacks_t *callbacks,
                                            mongoc_apm_server_heartbeat_started_cb_t cb);

Receive an event notification whenever the driver begins executing a "hello" command to check the status of a server.

PARAMETERS

•   callbacks: A mongoc_apm_callbacks_t.

•   cb: A function to call with a mongoc_apm_server_heartbeat_started_t whenever the driver begins executing a "hello" command to check the status of a server.

    SEE ALSO:
    Introduction to Application Performance Monitoring

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc